## sonivox-dmo 3.6.12

=== debian/changelog ===
sonivox-dmo (3.6.12-dmo1+deb12u1) stable; urgency=medium

  * Add upstream patch to fix CVE-2024-23709.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Oct 2024 20:12:29 +0200

sonivox-dmo (3.6.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 09 Jun 2023 01:56:11 +0200

sonivox-dmo (3.6.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Aug 2022 16:44:13 +0200

sonivox-dmo (3.6.10.14-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Jul 2022 07:59:06 +0200
