=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_installdocs:
	dh_installdocs -A NOTICE
