## sonivox-dmo 3.6.16

=== debian/changelog ===
sonivox-dmo (3.6.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Apr 2025 13:06:49 +0200

sonivox-dmo (3.6.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Dec 2024 00:23:57 +0100

sonivox-dmo (3.6.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Oct 2024 15:34:54 +0200

sonivox-dmo (3.6.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Sep 2024 01:31:28 +0200
