=== debian/control ===
--- 
+++ 
@@ -3,16 +3,14 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Rules-Requires-Root: no
 Homepage: https://github.com/pedrolcl/sonivox
-Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), cmake, ninja-build, libgtest-dev,
- quilt,
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), cmake, ninja-build, libgtest-dev
 
 Package: libsonivox3
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Wave Table synthesizer, using embedded samples - runtime files
  This is a Wave Table synthesizer, not using external soundfont files but
  embedded samples instead. It is also a real time GM synthesizer. It
@@ -24,7 +22,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libsonivox3 (= ${binary:Version}), ${misc:Depends},
+Depends: libsonivox3 (= ${binary:Version}), ${misc:Depends}
 Description: Wave Table synthesizer, using embedded samples - devel files
  This is a Wave Table synthesizer, not using external soundfont files but
  embedded samples instead. It is also a real time GM synthesizer. It
