=== debian/rules ===
#!/usr/bin/make -f

export TEMP=/tmp

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DBUILD_EXAMPLE=OFF

override_dh_installdocs:
	dh_installdocs -A NOTICE
