=== debian/watch ===
version=4

https://github.com/pedrolcl/sonivox/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
