## sonivox-dmo 4.0.0

=== debian/changelog ===
sonivox-dmo (4.0.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * Updated URLs for new repository (Thanks Pedro)

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 30 Dec 2025 16:00:16 +0100
