=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-	-DBUILD_EXAMPLE=OFF
+	-DBUILD_APPLICATION=OFF
 
 override_dh_installdocs:
 	dh_installdocs -A NOTICE
