=== debian/watch ===
version=4

https://github.com/EmbeddedSynth/sonivox-fork/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
