=== debian/changelog ===
sonivox-dmo (4.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Feb 2026 09:00:34 +0100
