=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: sonivox-dmo
 Section: libs
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Homepage: https://github.com/pedrolcl/sonivox
-Standards-Version: 4.7.2
+Homepage: https://github.com/EmbeddedSynth/sonivox
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build, libgtest-dev
 
-Package: libsonivox3
+Package: libsonivox4
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -22,7 +21,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libsonivox3 (= ${binary:Version}), ${misc:Depends}
+Depends: libsonivox4 (= ${binary:Version}), ${misc:Depends}
 Description: Wave Table synthesizer, using embedded samples - devel files
  This is a Wave Table synthesizer, not using external soundfont files but
  embedded samples instead. It is also a real time GM synthesizer. It
